Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1199184

Summary: Review Request: DecodeIR - Infrared remote controls decoding library
Product: [Fedora] Fedora Reporter: Alec Leamas <leamas.alec>
Component: Package ReviewAssignee: gil cattaneo <puntogil>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: gwync, package-review, puntogil, ville.skytta
Target Milestone: ---Flags: puntogil: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: DecodeIR-2.45-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-08 06:57:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Alec Leamas 2015-03-05 15:10:19 UTC
Spec URL: https://leamas.fedorapeople.org/harctoolbox/DecodeIR.spec
SRPM URL: 
https://leamas.fedorapeople.org/harctoolbox/DecodeIR-2.45-1.fc21.src.rpm

Description:
DecodeIR is a general library which can decode signals for a large number
of infrared remote controls. It can be used as a regular C library or
through a java interface. Being a JNI library, it does not support multi-arch
installations.

Fedora Account System Username: leamas
Scratch build: https://copr.fedoraproject.org/coprs/leamas/harctoolbox/builds/
rpmlint:  invalid-url (tarball retrieved from svn repo), spelling-errors
fedora-review: Looks good (?) http://ur1.ca/jurp1

Comment 1 Alec Leamas 2015-03-05 19:53:09 UTC
Handling FPC decisions: remove osbaldeston files, virtual provides for acme bundling exemption. New links:

Spec: https://leamas.fedorapeople.org/harctoolbox/tonto.spec
srpm: https://leamas.fedorapeople.org/harctoolbox/tonto-1.44-4.fc21.src.rpm
Scratch build: ttps://copr.fedoraproject.org/coprs/leamas/harctoolbox/builds/
fedora-review: http://ur1.ca/jutj9 

Clearing whiteboard

Comment 2 Alec Leamas 2015-03-05 19:54:14 UTC
Wrong bug! Forget comment #1 !

Comment 3 Alec Leamas 2015-03-06 10:38:07 UTC
Just to clarify, the old links are the right ones, comment #1 is a major mistake.

Spec URL: https://leamas.fedorapeople.org/harctoolbox/DecodeIR.spec
SRPM URL: 
https://leamas.fedorapeople.org/harctoolbox/DecodeIR-2.45-1.fc21.src.rpm
Scratch build: https://copr.fedoraproject.org/coprs/leamas/harctoolbox/builds/
fedora-review: http://ur1.ca/jurp1

Comment 4 gil cattaneo 2015-03-13 14:47:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
 IGNORE

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /home/gil/1199184-DecodeIR
     /review-DecodeIR/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
 You should to ask to upstream to include a copy of the license (.txt format)
[-]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-metadata
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in DecodeIR-
     javadoc
    javadoc is noarch, please IGNORE, and add "BuildArch:     noarch" to javadoc sub package
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Packages are noarch unless they use JNI
     Note: DecodeIR subpackage is not noarch. Please verify manually
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: DecodeIR-2.45-1.fc23.i686.rpm
          DecodeIR-devel-2.45-1.fc23.i686.rpm
          DecodeIR-javadoc-2.45-1.fc23.i686.rpm
          DecodeIR-2.45-1.fc21.src.rpm
DecodeIR.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
DecodeIR-devel.i686: W: no-documentation
DecodeIR.src: W: spelling-error %description -l en_US multi -> mulch, mufti
DecodeIR.src: W: invalid-url Source0: DecodeIR.tar.gz
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
DecodeIR-devel (rpmlib, GLIBC filtered):
    DecodeIR(x86-32)

DecodeIR (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    java-headless
    jpackage-utils
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

DecodeIR-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
DecodeIR-devel:
    DecodeIR-devel
    DecodeIR-devel(x86-32)

DecodeIR:
    DecodeIR
    DecodeIR(x86-32)
    libDecodeIR.so
    mvn(com.hifiremote:DecodeIRCaller)
    mvn(com.hifiremote:DecodeIRCaller:pom:)

DecodeIR-javadoc:
    DecodeIR-javadoc
    DecodeIR-javadoc(x86-32)



Unversioned so-files
--------------------
DecodeIR: /usr/lib/DecodeIR/libDecodeIR.so
DecodeIR: /usr/lib/libDecodeIR.so

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -vpn DecodeIR -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java, C/C++
Disabled plugins: Python, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 gil cattaneo 2015-03-13 14:50:33 UTC
ISSUES:
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /home/gil/1199184-DecodeIR
     /review-DecodeIR/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
 You should to ask to upstream to include a copy of the license (.txt format)

[!]: If the source package does not include license text(s) as a separate file

[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in DecodeIR-
     javadoc
    javadoc is noarch, please IGNORE, and add "BuildArch:     noarch" to javadoc sub package

[!]: Package does not include license text files separate from upstream.

These aren't really blocking problems, you can also fix in import time

tag Group is no more required, you can also remove from spec file

Comment 6 gil cattaneo 2015-03-13 14:51:19 UTC
(In reply to gil cattaneo from comment #5)
> ISSUES:
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later)", "Unknown or generated". 5 files have unknown
>      license. Detailed output of licensecheck in /home/gil/1199184-DecodeIR
>      /review-DecodeIR/licensecheck.txt
GPL (v2 or later)
-----------------
DecodeIR/src/main/java/com/hifiremote/decodeir/DecodeIRCaller.java

Comment 7 Alec Leamas 2015-03-13 15:32:40 UTC
Thanks for review! 

Updated links:
spec: https://leamas.fedorapeople.org/harctoolbox/DecodeIR.spec
srpm: https://leamas.fedorapeople.org/harctoolbox/DecodeIR-2.45-2.fc21.src.rpm

Changelog: 

%changelog
* Fri Mar 13 2015 Alec Leamas <leamas.alec> - 2.45-2
- Update license to accomodate the GPLv2 file.
- Make javadoc package noarch.
- Make the license mail %%license.

I have already asked upstream to include a license document (to no avail):
http://www.hifi-remote.com/forums/viewtopic.php?t=15320&sid=4700c75a17fc32880a40b9fd48d6175d

Comment 8 Alec Leamas 2015-03-13 15:35:41 UTC
New Package SCM Request
=======================
Package Name:  DecodeIR
Short Description: Infrared remote controls decoding library
Upstream URL:  http://sourceforge.net/p/controlremote
Owners: leamas
Branches: f21 f22
InitialCC:

Comment 9 Gwyn Ciesla 2015-03-13 15:37:55 UTC
Git done (by process-git-requests).

Comment 10 Alec Leamas 2015-03-13 17:12:26 UTC
I cannot clone this package (permission denied). Credentials seems OK, I can clone other packages

Comment 11 Gwyn Ciesla 2015-03-13 18:50:56 UTC
Try it in about 20-30 minutes.

Comment 12 Gwyn Ciesla 2015-03-13 18:53:53 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-03-14 04:35:42 UTC
DecodeIR-2.45-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/DecodeIR-2.45-2.fc21

Comment 14 Fedora Update System 2015-03-14 04:37:30 UTC
DecodeIR-2.45-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/DecodeIR-2.45-2.fc22

Comment 15 Fedora Update System 2015-03-15 10:55:49 UTC
DecodeIR-2.45-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 16 Ville Skyttä 2015-03-20 18:51:30 UTC
(In reply to gil cattaneo from comment #4)
> ===== MUST items =====
> [x]: Useful -debuginfo package or justification otherwise.

Careful, reviewer. It is not useful, rpmlint would have told that had it been run on -debuginfo:

$ rpmlint ./DecodeIR-debuginfo-2.45-2.fc23.x86_64.rpm 
DecodeIR-debuginfo.x86_64: E: debuginfo-without-sources

The fix seems to be a matter of something like this:

 %build
-make %{?_smp_mflags}
+CFLAGS="%{optflags}" make %{?_smp_mflags}
 %mvn_build

However this will at least on my system cause a build failure, debugedit barfs with "canonicalization unexpectedly shrank by one character", so this needs to be investigated more.

BTW setting the CFLAGS in %install appears to be superfluous, and it's done kind of "wrong" there (after "make" as opposed to before will cause it to override upstream CFLAGS which isn't desirable here, see Makefile).

Comment 17 Alec Leamas 2015-03-20 19:05:26 UTC
Thanks for spotting this. I will look into it  and fix ASAP, probably tomorrow.
"blushes", I should have seen this myself.

Comment 18 Fedora Update System 2015-03-21 09:05:52 UTC
DecodeIR-2.45-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/DecodeIR-2.45-3.fc22

Comment 19 Fedora Update System 2015-03-21 09:12:08 UTC
DecodeIR-2.45-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/DecodeIR-2.45-3.fc21

Comment 20 Fedora Update System 2015-03-22 04:39:08 UTC
DecodeIR-2.45-3.fc21 has been pushed to the Fedora 21 testing repository.

Comment 21 Fedora Update System 2015-04-08 06:57:20 UTC
DecodeIR-2.45-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 22 Fedora Update System 2015-04-21 19:12:23 UTC
DecodeIR-2.45-3.fc22 has been pushed to the Fedora 22 stable repository.